Bug 1480309 - vifm: Accidentally interposes reallocarray
Summary: vifm: Accidentally interposes reallocarray
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vifm
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora27GlibcInterpositionTracker
TreeView+ depends on / blocked
 
Reported: 2017-08-10 16:14 UTC by Florian Weimer
Modified: 2020-04-15 21:01 UTC (History)
2 users (show)

Fixed In Version: vifm-0.10.1-3.fc32 vifm-0.10.1-3.fc31 vifm-0.10.1-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-07 13:16:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Florian Weimer 2017-08-10 16:14:18 UTC
vifm contains its own implementation of the reallocarray function, in src/compat/reallocarray.c.  This definition overrides the implementation in glibc (provided since glibc 2.26).

I don't know which fix upstream prefers.  Perhaps add a configure check for reallocarray, and then check for HAVE_REALLOCARRAY in the implementation and do not compile anything if it is defined.

For Fedora, we could just drop src/compat/reallocarray.c from the list of source files in src/Makefile.am.

Comment 1 Jan Kurik 2017-08-15 09:28:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Ben Cotton 2018-11-27 18:28:55 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 17:52:41 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Ben Boeckel 2019-10-30 03:04:56 UTC
PR filed upstream. If that approach is acceptable, I'll cherry-pick what ends up getting accepted.

https://github.com/vifm/vifm/pull/489

Comment 5 Fedora Update System 2020-04-06 19:37:04 UTC
FEDORA-2020-d95939759b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d95939759b

Comment 6 Fedora Update System 2020-04-06 19:37:21 UTC
FEDORA-2020-d6b42686cc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6b42686cc

Comment 7 Fedora Update System 2020-04-06 19:37:39 UTC
FEDORA-2020-f26d4ef34e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f26d4ef34e

Comment 8 Fedora Update System 2020-04-07 03:10:27 UTC
FEDORA-2020-d6b42686cc has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d6b42686cc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d6b42686cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-07 03:46:52 UTC
FEDORA-2020-f26d4ef34e has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f26d4ef34e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f26d4ef34e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-07 13:16:23 UTC
FEDORA-2020-d95939759b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-08 05:06:57 UTC
FEDORA-2020-d6b42686cc has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-15 21:01:10 UTC
FEDORA-2020-f26d4ef34e has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.